textures/waterfall/ice_slick
{

	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	surfaceparm slick
	{
		map textures/waterfall/red.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 0.04 0.3 )
		tcGen environment
		tcMod scroll 0.0015 -0
	}
}



textures/waterfall/ice_slick2
{
	qer_editorimage textures/waterfall/ice_slick2
	surfaceparm slick
	surfaceparm water
	implicitMap textures/waterfall/ice_slick2.tga
}



textures/waterfall/edge_slick
{
	qer_editorimage textures/waterfall/edge_slick
	surfaceparm slick
	implicitMap textures/waterfall/edge_slick.tga
}



textures/waterfall/red	
{
	cull none
	deformVertexes wave 1 sin -0.5 0 0 1
	noPicmip
	surfaceparm trans
	{
		map textures/waterfall/red.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen const ( 0.0 0.04 0.3 )
		tcGen environment
		tcMod scroll 0.0015 -0
	}
}	



//deformVertexes wave <div> <func> <base> <amplitude> <phase> <freq>
//Designed for water surfaces, modifying the values differently at each point.
//It accepts the standard wave functions of the type sin, triangle, square, sawtooth or inversesawtooth. 
//The "div" parameter is used to control the wave "spread" - a value equal to the tessSize of 
//the surface is a good default value (tessSize is subdivision size, in game units, 
//used for the shader when seen in the game world) .

textures/waterfall/brushwalker137
{
	qer_editorimage textures/waterfall/brushwalker137
		q3map_globaltexture
	q3map_lightimage textures/broken/brushwalker137.tga
	q3map_surfacelight 1300
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm water
	surfaceparm splash

	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 75 sin 0.5 0.1 0.5 1.0
	implicitMap textures/waterfall/brushwalker137.tga
	
	        {
		map textures/waterfall/brushwalker137.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
}

